---
type: api
title: Get file information
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-endpointfileinfo
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/operation/operation-endpointfileinfo
products:
  - Kibana
---

# Get file information

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/endpoint/action/{action_id}/file/{file_id}`
- `GET` `/s/{space_id}/api/endpoint/action/{action_id}/file/{file_id}`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/authentication#basicauth)

#### Path Parameters

- `action_id` (string · min: 1 · max: 256)
  The ID of the response action that generated the file.
- `file_id` (string · min: 1 · max: 256)
  The file identifier is constructed in one of two ways:
- For Elastic Defend agents (`agentType` of `endpoint`): combine the `action_id` and `agent_id` values using a dot (`.`) separator:
`{file_id}` = `{action_id}.{agent_id}`
- For all other agent types: the `file_id` is the `agent_id` for which the response action was sent to.

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Get information for the specified response action file download.

## Response

Indicates a successful call.

`application/json`

- `data` (object)
  - `actionId` (string)
    The response action ID.
  - `agentId` (string)
    The agent ID that generated the file.
  - `agentType` (string)
    The type of agent that generated the file.
  - `created` (string)
    The date and time the file was created.
  - `id` (string)
    The unique file identifier.
  - `mimeType` (string)
    The MIME type of the file.
  - `name` (string)
    The file name.
  - `size` (number)
    The file size in bytes.
  - `status` (enum)
    The file upload status.
    Values: `AWAITING_UPLOAD`, `UPLOADING`, `READY`, `UPLOAD_ERROR`, `DELETED`
## Code Examples

#### Console

```console
GET /api/endpoint/action/{action_id}/file/{file_id}
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/endpoint/action/{action_id}/file/{file_id}"
```

## Response Examples

#### File information for a response action upload

```json
{
  "data": {
    "actionId": "233db9ea-6733-4849-9226-5a7039c7161d",
    "agentId": "ed518850-681a-4d60-bb98-e22640cae2a8",
    "agentType": "endpoint",
    "created": "2025-02-26T13:37:30.452Z",
    "id": "233db9ea-6733-4849-9226-5a7039c7161d.ed518850-681a-4d60-bb98-e22640cae2a8",
    "mimeType": "application/zip",
    "name": "memory_dump.zip",
    "size": 1048576,
    "status": "READY"
  }
}
```

